﻿<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup Label="Globals">
        <SccProjectName>SAK</SccProjectName>
        <SccProvider>SAK</SccProvider>
        <SccAuxPath>SAK</SccAuxPath>
        <SccLocalPath>SAK</SccLocalPath>
    </PropertyGroup>

    <PropertyGroup>
        <TargetFrameworks>netstandard2.0;net6.0;net8.0</TargetFrameworks>
        <RootNamespace>Tecan.Sila2.WorktableIntegration</RootNamespace>
        <AssemblyName>Tecan.Sila2.WorktableIntegration</AssemblyName>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
        <LangVersion>latest</LangVersion>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
        <OutputPath>..\..\Build\Features</OutputPath>
        <DocumentationFile>..\..\Build\Features\Tecan.Sila2.WorktableIntegration.xml</DocumentationFile>
    </PropertyGroup>

    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
        <OutputPath>..\..\Build\Features</OutputPath>
        <DocumentationFile>..\..\Build\Features\Tecan.Sila2.WorktableIntegration.xml</DocumentationFile>
    </PropertyGroup>

    <ItemGroup>
        <None Remove="WorktableService.sila.xml" />
    </ItemGroup>

    <ItemGroup>
        <Compile Include="..\..\CommonAssemblyInfo.cs" Link="Properties\CommonAssemblyInfo.cs" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Include="WorktableService.sila.xml" />
    </ItemGroup>
    <ItemGroup>
        <PackageReference Include="Grpc.Core" Version="2.46.6" />
        <PackageReference Include="protobuf-net" Version="3.2.12" />
    </ItemGroup>
    <ItemGroup>
        <ProjectReference Include="..\..\Contracts\Contracts.csproj" />
        <ProjectReference Include="..\..\Framework\Framework.csproj" />
    </ItemGroup>
</Project>